{% extends 'base.html.twig' %}

{% block title %}Log in!{% endblock %}

{% block stylesheets %}
    <link href="{{ asset('/css/security.css') }}" rel="stylesheet">
    {{ parent() }}
{% endblock %}

{% block body %}
    {% include '/parts/header.html.twig' with {'page': 'login'} %}

    <div class="content-container">
        {% if app.user %}
            <div class="mb-3">
                You are logged in as {{ app.user.userIdentifier }}, <a href="{{ path('app_logout') }}">Logout</a>
            </div>
        {% endif %}

        <div class="mt-4 p-4 form-container center-align">
            <h2 class="h3 mb-3 font-weight-normal" style="text-align: center;">Login</h2>
            <form id="login-form" method="post" enctype="multipart/form-data">
                <div class="form-markup">
                    <div>
                        <label class="label-input" for="inputEmail">Email</label>
                    </div>
                    <div>
                        <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control" autocomplete="email" required autofocus>
                    </div>
                    <div>
                        <label class="label-input" for="inputPassword">Password</label>
                    </div>
                    <div>
                        <input type="password" name="password" id="inputPassword" class="form-control" autocomplete="current-password" required>
                    </div>
                    <div>
                        &nbsp;
                    </div>
                    <div>
                        {% if error %}
                            <div class="alert alert-danger" style="margin: .5em 0;">
                                {{ error.messageKey|trans(error.messageData, 'security') }}
                            </div>
                        {% endif %}
                        <button class="btn btn-primary submit-button" type="submit">
                            Sign in
                        </button>
                    </div>
                </div>

                <input type="hidden" name="_csrf_token"
                    value="{{ csrf_token('authenticate') }}"
                >

                {#
                    Uncomment this section and add a remember_me option below your firewall to activate remember me functionality.
                    See https://symfony.com/doc/current/security/remember_me.html

                    <div class="checkbox mb-3">
                        <label>
                            <input type="checkbox" name="_remember_me"> Remember me
                        </label>
                    </div>
                #}
            </form>
        </div>
    </div>

    {% include '/parts/footer.html.twig' %}
{% endblock %}
